--[[
Production Revamp
Change Production/Pallet Limits
Changes the Production and the Pallets Limits to 180 / infinite. Be warned, the game can slow down from to many objects.

Copyright (C) braeven, 2022

Author: braeven

Version: 1.0.1.0
Date: 09.07.2022

Changelog:
Version 1.0.1.0 - Fixed a Bug.
]]

SlotSystem.NUM_OBJECT_LIMITS = {
  [SlotSystem.LIMITED_OBJECT_BALE] = {
    [PlatformId.WIN] = math.huge,
    [PlatformId.MAC] = math.huge,
    [PlatformId.PS4] = 200,
    [PlatformId.PS5] = 200,
    [PlatformId.XBOX_ONE] = 200,
    [PlatformId.XBOX_SERIES] = 200,
    [PlatformId.IOS] = 100,
    [PlatformId.ANDROID] = 100,
    [PlatformId.SWITCH] = 100,
    [PlatformId.GGP] = 200
  },
  [SlotSystem.LIMITED_OBJECT_PALLET] = {
    [PlatformId.WIN] = math.huge,
    [PlatformId.MAC] = math.huge,
    [PlatformId.PS4] = 75,
    [PlatformId.PS5] = 150,
    [PlatformId.XBOX_ONE] = 75,
    [PlatformId.XBOX_SERIES] = 150,
    [PlatformId.IOS] = 50,
    [PlatformId.ANDROID] = 50,
    [PlatformId.SWITCH] = 50,
    [PlatformId.GGP] = 50
  }
}

ProductionChainManager.NUM_MAX_PRODUCTION_POINTS = 180
print("Production Revamp: Changed Production(180) and Pallet Limits(unlimited)")
